FIX::Application Class Referenceabstract

This interface must be implemented to define what your FIX application does. More...

`#include <Application.h>`

Inheritance diagram for FIX::Application:
[legend]

## Public Member Functions

virtual | ~Application ()
virtual void | onCreate (const SessionID &)=0
| Notification of a session begin created. More...
virtual void | onLogon (const SessionID &)=0
| Notification of a session successfully logging on. More...
virtual void | onLogout (const SessionID &)=0
| Notification of a session logging off or disconnecting. More...
virtual void | toAdmin (Message &, const SessionID &)=0
| Notification of admin message being sent to target. More...
virtual void | toApp (Message &, const SessionID &)=0 throw ( DoNotSend )
| Notification of app message being sent to target. More...
virtual void | fromAdmin (const Message &, const SessionID &)=0 throw ( FieldNotFound, IncorrectDataFormat, IncorrectTagValue, RejectLogon )
| Notification of admin message being received from target. More...
virtual void | fromApp (const Message &, const SessionID &)=0 throw ( FieldNotFound, IncorrectDataFormat, IncorrectTagValue, UnsupportedMessageType )
| Notification of app message being received from target. More...

## Detailed Description

This interface must be implemented to define what your FIX application does.

These methods notify your application about events that happen on active FIX sessions. There is no guarantee how many threads will be calling these functions. If the application is sharing resources among multiple sessions, you must synchronize those resources. You can also use the SynchronizedApplication class to automatically synchronize all function calls into your application. The various MessageCracker classes can be used to parse the generic message structure into specific FIX messages.

Definition at line 43 of file Application.h.

## Constructor & Destructor Documentation

## ~Application()

virtual FIX::Application::~Application | ( |  | ) |

inline virtual

Definition at line 46 of file Application.h.

References fromAdmin(), fromApp(), onCreate(), onLogon(), onLogout(), toAdmin(), and toApp().

{};

## Member Function Documentation

## fromAdmin()

virtual void FIX::Application::fromAdmin | ( | const Message & | ,
|  | const SessionID & |
| ) |  |
throw | ( | FieldNotFound,
|  | IncorrectDataFormat,
|  | IncorrectTagValue,
|  | RejectLogon
| ) |  |

pure virtual

Notification of admin message being received from target.

Implemented in FIX::NullApplication, and FIX::SynchronizedApplication.

Referenced by FIX::Session::fromCallback(), and ~Application().

## fromApp()

virtual void FIX::Application::fromApp | ( | const Message & | ,
|  | const SessionID & |
| ) |  |
throw | ( | FieldNotFound,
|  | IncorrectDataFormat,
|  | IncorrectTagValue,
|  | UnsupportedMessageType
| ) |  |

pure virtual

Notification of app message being received from target.

Implemented in FIX::NullApplication, and FIX::SynchronizedApplication.

Referenced by FIX::Session::fromCallback(), and ~Application().

## onCreate()

virtual void FIX::Application::onCreate | ( | const SessionID & |  | ) |

pure virtual

Notification of a session begin created.

Implemented in FIX::NullApplication, and FIX::SynchronizedApplication.

Referenced by FIX::Session::Session(), and ~Application().

## onLogon()

virtual void FIX::Application::onLogon | ( | const SessionID & |  | ) |

pure virtual

Notification of a session successfully logging on.

Implemented in FIX::NullApplication, and FIX::SynchronizedApplication.

Referenced by FIX::Session::nextLogon(), and ~Application().

## onLogout()

virtual void FIX::Application::onLogout | ( | const SessionID & |  | ) |

pure virtual

Notification of a session logging off or disconnecting.

Implemented in FIX::NullApplication, and FIX::SynchronizedApplication.

Referenced by FIX::Session::disconnect(), and ~Application().

## toAdmin()

virtual void FIX::Application::toAdmin | ( | Message & | ,
|  | const SessionID & |
| ) |  |

pure virtual

Notification of admin message being sent to target.

Implemented in FIX::NullApplication, and FIX::SynchronizedApplication.

Referenced by FIX::Session::sendRaw(), and ~Application().

## toApp()

virtual void FIX::Application::toApp | ( | Message & | ,
|  | const SessionID & |
| ) |  |
throw | ( | DoNotSend
| ) |  |

pure virtual

Notification of app message being sent to target.

Implemented in FIX::NullApplication, and FIX::SynchronizedApplication.

Referenced by FIX::Session::resend(), FIX::Session::sendRaw(), and ~Application().

The documentation for this class was generated from the following file:

- Application.h